/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// Self
#include "fake_lens.h"

// TODO: Implement remaining pieces

Lens::Lens(QObject* parent)
: QObject(parent),
  m_visible(false)
{}

Lens::Lens(QString const& id,
           QString const& name,
           bool visible,
           QObject* parent)
: QObject(parent),
  m_id(id),
  m_name(name),
  m_visible(visible)
{}

QString Lens::id() const {
    return m_id;
}

QString Lens::name() const {
    return m_name;
}

QString Lens::searchQuery() const {
    return m_searchQuery;
}

void Lens::setName(const QString &str) {
    if (str != m_name) {
        m_name = str;
        Q_EMIT nameChanged(m_name);
    }
}

void Lens::setSearchQuery(const QString &str) {
    if (str != m_searchQuery) {
        m_searchQuery = str;
        Q_EMIT searchQueryChanged(m_searchQuery);
    }
}

bool Lens::visible() const {
    return m_visible;
}
